## org.omg.PortableServer
Class ServantLocatorHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.ServantLocatorHelper

public class ServantLocatorHelper
extends java.lang.Object

Helper class for : ServantLocator

Author:
  OpenORB Compiler

Constructor Summary
`ServantLocatorHelper()`

Method Summary
`static ServantLocator` `extract(Any a)` Extract ServantLocator from an any
`static java.lang.String` `id()` Return the ServantLocator IDL ID
`static void` `insert(Any a, ServantLocator t)` Insert ServantLocator into an any
`static ServantLocator` `narrow(Object obj)` Narrow CORBA::Object to ServantLocator
`static ServantLocator` `read(InputStream istream)` Read ServantLocator from a marshalled stream
`static TypeCode` `type()` Return the ServantLocator TypeCode
`static ServantLocator` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to ServantLocator
`static void` `write(OutputStream ostream, ServantLocator value)` Write ServantLocator into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServantLocatorHelper

    public ServantLocatorHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ServantLocator t)

  Insert ServantLocator into an any
  Parameters:
    `a` - an any
    `t` - ServantLocator value

### extract

    public static ServantLocator extract(Any a)

  Extract ServantLocator from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ServantLocator value

### type

    public static TypeCode type()

  Return the ServantLocator TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ServantLocator IDL ID
  Returns:
    an ID

### read

    public static ServantLocator read(InputStream istream)

  Read ServantLocator from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ServantLocator value

### write

    public static void write(OutputStream ostream,
                             ServantLocator value)

  Write ServantLocator into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ServantLocator value

### narrow

    public static ServantLocator narrow(Object obj)

  Narrow CORBA::Object to ServantLocator
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ServantLocator Object

### unchecked_narrow

    public static ServantLocator unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to ServantLocator
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ServantLocator Object